Debian Bug report logs - #432098
muine: FTBFS due to libflac transition

version graph

Package: muine; Maintainer for muine is Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>;

Reported by: Steve Kowalik <stevenk@debian.org>

Date: Sat, 7 Jul 2007 14:27:01 UTC

Severity: serious

Tags: lenny, sid

Found in version muine/0.8.7-1

Fixed in versions muine/0.8.7-1.1, 0.8.7-1.2

Done: Luk Claes <luk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#432098; Package muine. Full text and rfc822 format available.

Acknowledgement sent to Steve Kowalik <stevenk@debian.org>:
New Bug report received and forwarded. Copy sent to Dave Beckett <dajobe@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Kowalik <stevenk@debian.org>
To: submit@bugs.debian.org
Subject: muine: FTBFS due to libflac transition
Date: Sun, 08 Jul 2007 00:26:18 +1000
Package: muine
Version: 0.8.7-1
Severity: serious
Justification: no longer builds from source

muine can't build from source due to libflac transition.

===

cc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -DG_LOG_DOMAIN=\"libmuine\"
-DGNOMELOCALEDIR=\"/usr/share/locale\" -DORBIT2=1 -pthread
-DPNG_NO_MMX_CODE -I/usr/include/gconf/2 -I/usr/include/orbit-2.0
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
-I/usr/include/gtk-2.0 -I/usr/include/gnome-vfs-2.0
-I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include
-I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0
-I/usr/include/freetype2 -I/usr/include/libpng12
-I/usr/include/gstreamer-0.10 -I/usr/include/libxml2 -Wall
-Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare
-Werror -DG_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
-DGDK_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED
-DGNOME_DISABLE_DEPRECATED -g -Wall -O2 -c metadata.c  -fPIC -DPIC -o
.libs/metadata.o
cc1: warnings being treated as errors
metadata.c: In function 'assign_metadata_flac':
metadata.c:832: warning: implicit declaration of function
'FLAC__stream_decoder_set_read_callback'
metadata.c:832: warning: nested extern declaration of
'FLAC__stream_decoder_set_read_callback'
metadata.c:833: warning: implicit declaration of function
'FLAC__stream_decoder_set_write_callback'
metadata.c:833: warning: nested extern declaration of
'FLAC__stream_decoder_set_write_callback'
metadata.c:834: warning: implicit declaration of function
'FLAC__stream_decoder_set_metadata_callback'
metadata.c:834: warning: nested extern declaration of
'FLAC__stream_decoder_set_metadata_callback'
metadata.c:835: warning: implicit declaration of function
'FLAC__stream_decoder_set_error_callback'
metadata.c:835: warning: nested extern declaration of
'FLAC__stream_decoder_set_error_callback'
metadata.c:840: warning: implicit declaration of function
'FLAC__stream_decoder_set_client_data'
metadata.c:840: warning: nested extern declaration of
'FLAC__stream_decoder_set_client_data'
metadata.c:847: warning: implicit declaration of function
'FLAC__stream_decoder_init'
metadata.c:847: warning: nested extern declaration of
'FLAC__stream_decoder_init'
make[4]: *** [metadata.lo] Error 1
make[4]: Leaving directory `/tmp/buildd/muine-0.8.7/libmuine'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/tmp/buildd/muine-0.8.7/libmuine'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/tmp/buildd/muine-0.8.7'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/tmp/buildd/muine-0.8.7'
make: *** [debian/stamp-makefile-build] Error 2

===

-- System Information:
Debian Release: 4.0
  APT prefers feisty-updates
  APT policy: (500, 'feisty-updates'), (500, 'feisty-security'), (500, 'feisty')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.20-16-generic
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)

-- 
					Steve
I may be love's bitch, but at least I'm man enough to admit it.
         - Spike



Bug marked as fixed in version 0.8.7-1.1. Request was from Steve Kowalik <stevenk@debian.org> to control@bugs.debian.org. (Sat, 07 Jul 2007 14:42:02 GMT) Full text and rfc822 format available.

Tags added: lenny, sid Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Sun, 05 Aug 2007 12:06:06 GMT) Full text and rfc822 format available.

Reply sent to Luk Claes <luk@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Steve Kowalik <stevenk@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 432098-done@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 432098-done@bugs.debian.org, 439487-done@bugs.debian.org
Subject: Fixed in the recent upload of muine 0.8.7-1.2
Date: Sun, 13 Jan 2008 07:38:42 +0100
Version: 0.8.7-1.2

muine (0.8.7-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    - Build-depend on libndesk-dbus1.0-cil, libndesk-dbus-glib1.0-cil
    - Dropped libdbus-1-cil from build-depends

 -- Luk Claes <luk@debian.org>  Sun, 13 Jan 2008 05:17:32 +0000

Cheers

Luk




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Feb 2009 08:47:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:18:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.